Subject: Re: bug#25265: make-thread crashes in OS X 10.6

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Dec 2016 19:51:13 +0200

> From: [email-masked] (Charles A. Roelli)
> Date: Sat, 24 Dec 2016 12:06:45 +0100
> 
> Running Emacs -Q on the latest commit (e36a3882),
> 
> M-: (make-thread (lambda () "string"))
> 
> appears to hang Emacs immediately.

I cannot reproduce this, neither on GNU/Linux nor on MS-Windows.  So I
guess this is NS-specific.

I see that ns_select calls block/unblock_input, which makes it unsafe
when more than one thread is running.  It's quite possible that this
is the reason.

I hope some NS expert could take a look at this and fix this.

Thanks.